% ------------------------------------------------------------------------------
% Copyright (c) 2019, 2025 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usetikzlibrary{arrows.meta, arrows, automata, positioning, shapes, shapes.misc}
\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\renewcommand{\familydefault}{\sfdefault}

\begin{document}
\pagestyle{empty}

\begin{tikzpicture}[
    auto,
    ->,
    node distance=5cm,
    every state/.style={ellipse, semithick, fill=black!5, minimum size=2cm, font=\Large},
    initial distance=1.2cm,
    every initial by arrow/.style={-{Stealth[scale=1.4]}},
    initial text=,
    transform shape,
    double distance=2pt,
    every loop/.style={min distance=10mm}
]

\node[rectangle, draw, fill=black!5, minimum width = 3cm, minimum height = 1cm] (A) at (0,0)         {Supervisor};
\node[rectangle, draw, fill=black!5, minimum width = 3cm, minimum height = 1cm] (B) [below=1cm of A] {Plant};

\path[-{Stealth[scale=1.4]}]
    (A) edge[out=180, in=180, left]  node[align=center] {Events enabled\\by the supervisor} (B)
    (B) edge[out=0,   in=0,   right] node[align=center] {Events enabled\\in the plant}      (A)
;

\end{tikzpicture}
\end{document}
